Package com.xebialabs.xlrelease.domain.notification

## Enum MailPriority

- java.lang.Object
- - java.lang.Enum<MailPriority>
  - - com.xebialabs.xlrelease.domain.notification.MailPriority

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<MailPriority>`

      public enum MailPriority
      extends java.lang.Enum<MailPriority>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `High` |
    `Low` |
    `Normal` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MailPriority` | `fromString​(java.lang.String text)` |
    `java.lang.String` | `getImportance()` |
    `java.lang.String` | `getPriority()` |
    `static MailPriority` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static MailPriority[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### High

          public static final MailPriority High

    - #### Normal

          public static final MailPriority Normal

    - #### Low

          public static final MailPriority Low

  - ### Method Detail

    - #### values

          public static MailPriority[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MailPriority c : MailPriority.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MailPriority valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getPriority

          public java.lang.String getPriority()

    - #### getImportance

          public java.lang.String getImportance()

    - #### fromString

          public static MailPriority fromString​(java.lang.String text)